package classes_metiers;

/**
 * @author Dominique Bouthinon
 * case d'un jeu de Morpion
 */
public class Coup
{
	private int      ligne   ;
	private int      colonne ;
	private Symbole symbole  ;
	
	
	/**
	 * Initialise le Coup avec uneLigne, uneColonne et unSymbole 
	 */
	public Coup(int uneLigne, int uneColonne, Symbole unSymbole)
	{
		this.ligne   = uneLigne   ;
		this.colonne = uneColonne ;
		this.symbole  = unSymbole  ;
	}
	
	
	/**
	 * retourne la ligne du Coup
	 * @return
	 */
	public int getLigne()
	{
		return this.ligne ;
	}
	
	
	/**
	 * retourne la colonne du Coup
	 * @return
	 */
	public int getColonne()
	{
		return this.colonne ;
	}
	
	/**
	 * retourne la symbole du Coup
	 * @return
	 */
	public Symbole getSymbole()
	{
		return this.symbole ;
	}
	
	
	/**
	 *  retourne le String decrivant le Coup
	 */
	public String toString()
	{
		return "ligne : "    + this.getLigne()   + " " +
			    "colonne : " + this.getColonne() + " " +
				"symbole : "  + this.getSymbole() ;
	}

}
// fin classe coup
