package controleur;

import modele.InterfaceModeleMorpion;
import vue.InterfaceVueMorpion;

/**
 * @author Dominique Bouthinon
 * 
 */
public class ControleurMorpionTextuel implements InterfaceControleurMorpion
{
	
	private InterfaceModeleMorpion modele ;
	private InterfaceVueMorpion vue    ;
	
	
	public ControleurMorpionTextuel(InterfaceModeleMorpion unModelePoint)
	{
		this.modele = unModelePoint ;
	}
	
	/**
	 * Lie le contrôleur avec la vue dont il doit gérer les intéactions
	 * @param uneVue : (InterfaceVueMorpion) référence de la vue qui doit
	 * <BR/> être gérée par le contrôleur
	 */
	public void setVue(InterfaceVueMorpion uneVuePoint)
	{
		this.vue = uneVuePoint ;
	}
	
	
	/**
	 * Gère l'interaction pour jouer un coup
	 */
	public void gererSaisirCoup()
	{
								// s'adresse a la vue pour la saisie des valeurs
		int ligne   = this.vue.saisirLigne();	
		int colonne = this.vue.saisirColonne() ;
		
		try {
								// s'adresse au modele 
								// pour enregistrer le coup propose
			this.modele.joueCoup(ligne, colonne) ;

								// selon la validite du coup
								// s'adresse au modele et/ou à la vue
								
			if (this.modele.partieFinie())
				this.vue.afficherFinPartie() ;
			
			this.modele.changeJoueurActif();
			
		}
					// Exception capturé : le coup joué n'est pas valide
		catch(Exception e){
			this.vue.afficherErreurCoupPropose() ;
		}
	}

	
	public void activerVue(){
		
	}
}
// fin classe ControleurMorpionTextuel
